package common

type TetraFlexCallTypes byte

const (
	CallTypeIndividualDuplex  TetraFlexCallTypes = 0
	CallTypeIndividualSimplex TetraFlexCallTypes = 1
	CallTypeGroup             TetraFlexCallTypes = 2
	CallTypeBroadcast         TetraFlexCallTypes = 3
	CallTypeAmbience          TetraFlexCallTypes = 4
)

type TetraFlexCallPriorities byte

const (
	CallPriorityNotDefined TetraFlexCallPriorities = 0
	CallPriority1          TetraFlexCallPriorities = 1
	CallPriority2          TetraFlexCallPriorities = 2
	CallPriority3          TetraFlexCallPriorities = 3
	CallPriority4          TetraFlexCallPriorities = 4
	CallPriority5          TetraFlexCallPriorities = 5
	CallPriority6          TetraFlexCallPriorities = 6
	CallPriority7          TetraFlexCallPriorities = 7
	CallPriority8          TetraFlexCallPriorities = 8
	CallPriority9          TetraFlexCallPriorities = 9
	CallPriority10         TetraFlexCallPriorities = 10
	CallPriority11         TetraFlexCallPriorities = 11

	CallPriorityPreEmptive1 TetraFlexCallPriorities = 12
	CallPriorityPreEmptive2 TetraFlexCallPriorities = 13
	CallPriorityPreEmptive3 TetraFlexCallPriorities = 14
	CallPriorityPreEmptive4 TetraFlexCallPriorities = 15
	CallPriorityPreEmptive5 TetraFlexCallPriorities = 16

	CallPriorityDefault   TetraFlexCallPriorities = 0
	CallPriorityEmergency TetraFlexCallPriorities = 15
)
