package common

type AttachReasons uint16

const (
	AttachReasonPositions AttachReasons = 0
	AttachReasonPTT       AttachReasons = 1
	AttachReasonScan      AttachReasons = 2
)

type AttachedScanKind uint16

const (
	NotScanned AttachedScanKind = 0
	Selected   AttachedScanKind = 1
	Scanned    AttachedScanKind = 2
)

/*
// Token: 0x02000157 RID: 343
public enum AttachedScanKind
{
	// Token: 0x040004E3 RID: 1251
	NotScanned,
	// Token: 0x040004E4 RID: 1252
	Selected,
	// Token: 0x040004E5 RID: 1253
	Scanned
}
*/

type GroupConfig struct {
	Group    *TetraFlexAddress
	ScanMode AttachedScanKind
}
