package tmkind

type TetraFlexTerminalMessageKinds uint16

const (
	NONE                                 TetraFlexTerminalMessageKinds = 0
	IpApiGeneralConfirm                  TetraFlexTerminalMessageKinds = 1
	IpApiRegistrationRequest             TetraFlexTerminalMessageKinds = 273
	IpApiRegistrationConfirm             TetraFlexTerminalMessageKinds = 274
	IpApiAuthenticationChallenge         TetraFlexTerminalMessageKinds = 529
	IpApiAuthenticationResponse          TetraFlexTerminalMessageKinds = 530
	IpApiNotificationRequest             TetraFlexTerminalMessageKinds = 785
	IpApiNotificationConfirm             TetraFlexTerminalMessageKinds = 786
	IpApiGroupAttachRequest              TetraFlexTerminalMessageKinds = 1041
	IpApiGroupAttachConfirm              TetraFlexTerminalMessageKinds = 1042
	IpApiDeregistrationRequest           TetraFlexTerminalMessageKinds = 1297
	IpApiKeepAliveChallenge              TetraFlexTerminalMessageKinds = 1553
	IpApiKeepAliveResponse               TetraFlexTerminalMessageKinds = 1554
	IpApiSubscriberInfoRequest           TetraFlexTerminalMessageKinds = 1809
	IpApiSubscriberInfoConfirm           TetraFlexTerminalMessageKinds = 1810
	IpApiSoftwareInfoRequest             TetraFlexTerminalMessageKinds = 2065
	IpApiSoftwareInfoConfirm             TetraFlexTerminalMessageKinds = 2066
	IpApiCallSetupRequest                TetraFlexTerminalMessageKinds = 4369
	IpApiCallSetupConfirm                TetraFlexTerminalMessageKinds = 4370
	IpApiCallConnectRequest              TetraFlexTerminalMessageKinds = 4625
	IpApiCallDisconnectRequest           TetraFlexTerminalMessageKinds = 4881
	IpApiCallPttRequest                  TetraFlexTerminalMessageKinds = 5137
	IpApiCallStreamRequest               TetraFlexTerminalMessageKinds = 5393
	IpApiCallUpdateNotification          TetraFlexTerminalMessageKinds = 5649
	IpApiCallRoamingFinishedNotification TetraFlexTerminalMessageKinds = 5905
	IpApiSdsDataType4Request             TetraFlexTerminalMessageKinds = 9233
	IpApiSdsStatusRequest                TetraFlexTerminalMessageKinds = 9489
	IpApiSdsTlTransferRequest            TetraFlexTerminalMessageKinds = 9745
	IpApiSdsTlReportRequest              TetraFlexTerminalMessageKinds = 10001
	IpApiSdsTlShortReportRequest         TetraFlexTerminalMessageKinds = 10257
	IpApiSdsDataType4Notification        TetraFlexTerminalMessageKinds = 13329
	IpApiSdsStatusNotification           TetraFlexTerminalMessageKinds = 13585
	IpApiSdsTlTransferNotification       TetraFlexTerminalMessageKinds = 13841
	IpApiSdsTlReportNotification         TetraFlexTerminalMessageKinds = 14097
	IpApiSdsTlShortReportNotification    TetraFlexTerminalMessageKinds = 14353
)
